Subject: [PATCH 6/7] efi: Handle secure boot from UEFI-2.6 [ver #7]

From: [email-masked] (David Howells)
Date: Wed, 01 Feb 2017 12:33:45 +0000

Ard Biesheuvel <[email-masked]> wrote:

> So this patch should take AuditMode into account, but not DeployedMode, i.e.,
> 
> SecureBoot == 0x1
> SetupMode == 0x0
> AuditMode == 0x0 (or non-existent)

If we're in audit mode or setup mode SecureBoot==0 and SetupMode==1 according
to the flowchart, so the check of AuditMode would seem redundant.

Further, the checks above don't seem to differentiate deployed mode from user
mode.  Should they?

David